/*! \file
 * \copyright
 * COPYRIGHT NOTICE: (c) 2018-2022 Neonode Technologies AB. All rights reserved.
 *
 * \sa zForce.h
 */

#ifndef ZFORCE_WINDOWS_OSABSTRACTIONLAYER_WINDOWS_H
#define ZFORCE_WINDOWS_OSABSTRACTIONLAYER_WINDOWS_H 1

#ifndef ZFORCECOMMON_H
    #error Please include "zForceCommon.h" before this file.
#endif // ZFORCECOMMON_H

#ifdef __cplusplus
extern "C"
{
#endif // __cplusplus

/*!
 * \brief Windows Specific Initialization of OsAbstractionLayer.
 */
DLLINTERNAL bool        OsAbstractionLayerOs_Initialize(OsAbstractionLayer * osAbstractionLayer,
                                                        OsAbstractionLayer * osAbstractionLayerOsSpecific);

#ifdef __cplusplus
}
#endif // __cplusplus

#endif // ZFORCE_WINDOWS_OSABSTRACTIONLAYER_WINDOWS_H
